Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class FunctionInvocation

    java.lang.Object
      org.jbpm.jpdl.el.impl.Expression
          org.jbpm.jpdl.el.impl.FunctionInvocation

    public class FunctionInvocation

extends Expression

Represents a function call.

Author:
  Shawn Bayern (in the style of Nathan's other classes)

Constructor Summary
`FunctionInvocation(java.lang.String functionName, java.util.List argumentList)` Constructor

Method Summary
`java.lang.Object` | `evaluate(VariableResolver pResolver, FunctionMapper functions, Logger pLogger)` Evaluates by looking up the name in the VariableResolver
`java.util.List` | `getArgumentList()`
`java.lang.String` | `getExpressionString()` Returns the expression in the expression language syntax
`java.lang.String` | `getFunctionName()`
`void` | `setArgumentList(java.util.List l)`
`void` | `setFunctionName(java.lang.String f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionInvocation

    public FunctionInvocation(java.lang.String functionName,
                              java.util.List argumentList)

  Constructor

Method Detail

### getFunctionName

    public java.lang.String getFunctionName()

### setFunctionName

    public void setFunctionName(java.lang.String f)

### getArgumentList

    public java.util.List getArgumentList()

### setArgumentList

    public void setArgumentList(java.util.List l)

### getExpressionString

    public java.lang.String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public java.lang.Object evaluate(VariableResolver pResolver,
                                     FunctionMapper functions,
                                     Logger pLogger)
                              throws ELException

  Evaluates by looking up the name in the VariableResolver

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD